Bug 865831 (CVE-2012-4515)

Summary: CVE-2012-4515 kdelibs: Use-after-free when context menu being used whilst the document DOM is being changed from within JavaScript
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dvratil, jgrulich, security-response-team, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121030,reported=20121011,source=oss-security,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5/kdelibs=notaffected,rhel-6/kdelibs=notaffected,fedora-all/kdelibs=affected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-16 10:49:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 871541    
Bug Blocks: 867301    

Description Jan Lieskovsky 2012-10-12 10:37:03 EDT
An use-after-free flaw was found in the way DOM implementation of KDE libraries performed widget rendering for context menus for a given iframe when the iframe was simultaneously being updated by the parent via JavaScript. A remote attacker could provide a specially-crafted web page that, when opened in an application linked against KDE libraries (such as konqueror), would lead to that application crash or, potentially, arbitrary code execution (depending on the state of the process at the moment the no-longer existing process was accessed) with the privileges of the user running the application.

References:
[1] http://www.openwall.com/lists/oss-security/2012/10/10/11
[2] http://www.openwall.com/lists/oss-security/2012/10/11/11
Comment 1 Jan Lieskovsky 2012-10-12 10:38:30 EDT
This issue did NOT affect the version of the kdelibs package, as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 13 Jan Lieskovsky 2012-10-18 07:22:11 EDT
This issue affects the versions of the kdelibs package, as shipped with Fedora release of 16 and 17.
Comment 15 Jan Lieskovsky 2012-10-29 14:30:55 EDT
Statement:

Not vulnerable. This issue did not affect the versions of kdelibs as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 17 Vincent Danen 2012-10-30 12:29:56 EDT
This is now public:

http://seclists.org/oss-sec/2012/q4/171
Comment 18 Vincent Danen 2012-10-30 12:32:05 EDT
Created kdelibs tracking bugs for this issue

Affects: fedora-all [bug 871541]
Comment 19 Fedora Update System 2012-11-16 02:34:45 EST
kdelibs-4.8.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2012-11-16 02:37:15 EST
kdelibs-4.9.2-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.